[Problema] problema con codechickencore mod

[minecraft 1.10.2 / da mac]
proprio ora ho provato a mettere la NEI, quindi sono andato a scaricare la codechickencore mod, necessaria, ma il gioco continua a crasharmi. togliendo la mod tutto va alla perfezione, ho provato ad aggiungere 1gb di ram, stesso problema.

ecco i log:

Codice:
Java HotSpot(TM) 64-Bit Server VM warning: Using incremental CMS is deprecated and will likely be removed in a future release
[18:43:46] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker
[18:43:46] [main/INFO] [LaunchWrapper]: Using primary tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker
[18:43:46] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLTweaker
[18:43:46] [main/INFO] [FML]: Forge Mod Loader version 12.18.1.2011 for Minecraft 1.10.2 loading
[18:43:46] [main/INFO] [FML]: Java is Java HotSpot(TM) 64-Bit Server VM, version 1.8.0_101, running on Mac OS X:x86_64:10.11.4, installed at /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home
[18:43:47] [main/WARN] [FML]: The coremod codechicken.core.launch.CodeChickenCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[18:43:48] [main/WARN] [FML]: The coremod codechicken.lib.asm.CCLCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[18:43:48] [main/WARN] [FML]: The coremod codechicken.lib.asm.CCLCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[18:43:48] [main/WARN] [FML]: The coremod codechicken.nei.asm.NEICorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[18:43:48] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[18:43:48] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLDeobfTweaker
[18:43:48] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[18:43:48] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[18:43:48] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[18:43:51] [main/INFO] [FML]: Found valid fingerprint for Minecraft Forge. Certificate fingerprint e3c3d50c7c986df74c645c0ac54639741c90a557
[18:43:51] [main/INFO] [FML]: Found valid fingerprint for Minecraft. Certificate fingerprint cd99959656f753dc28d863b46769f7f8fbaefcfc
[18:43:51] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[18:43:51] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[18:43:51] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[18:43:51] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[18:43:51] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[18:43:51] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[18:43:51] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLDeobfTweaker
[18:43:52] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.TerminalTweaker
[18:43:52] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.TerminalTweaker
[18:43:52] [main/INFO] [LaunchWrapper]: Launching wrapped minecraft {net.minecraft.client.main.Main}
[18:43:53] [Client thread/INFO]: Setting user: FAB
[18:43:58] [Client thread/WARN]: Skipping bad option: lastServer:
[18:43:58] [Client thread/INFO]: LWJGL Version: 2.9.2
[18:43:59] [Client thread/INFO] [FML]: MinecraftForge v12.18.1.2011 Initialized
[18:43:59] [Client thread/INFO] [FML]: Replaced 233 ore recipes
[18:43:59] [Client thread/INFO] [FML]: Found 0 mods from the command line. Injecting into mod discoverer
[18:43:59] [Client thread/INFO] [FML]: Searching /Users/michela/Library/Application Support/minecraft/mods for mods
[18:43:59] [Client thread/INFO] [FML]: Also searching /Users/michela/Library/Application Support/minecraft/mods/1.10.2 for mods
[18:44:00] [Client thread/INFO] [FML]: Forge Mod Loader has identified 6 mods to load
[18:44:01] [Client thread/ERROR] [FML]: The mod NotEnoughItems (Not Enough Items) requires mods [JEI] to be available
[18:44:01] [Client thread/ERROR] [FML]: Mod NotEnoughItems (Not Enough Items) requires [JEI@[3.7.11.238,)]
[18:44:01] [Client thread/INFO]: Reloading ResourceManager: Default, FMLFileResourcePack:Forge Mod Loader, FMLFileResourcePack:Minecraft Forge, FMLFileResourcePack:Not Enough Items, FMLFileResourcePack:Chopper
[18:44:01] [Client thread/WARN] [FML]: There were errors previously. Not beginning mod initialization phase
[18:44:01] [Client thread/WARN]: File chopper:sounds/bowShot.ogg does not exist, cannot add it to event chopper:bowSHott
[18:44:01] [Sound Library Loader/INFO]: Starting up SoundSystem...
[18:44:02] [Thread-6/INFO]: Initializing LWJGL OpenAL
[18:44:02] [Thread-6/INFO]: (The LWJGL binding of OpenAL.  For more information, see http://www.lwjgl.org)
2016-09-27 18:44:02.226 java[696:60125] 18:44:02.226 WARNING:  140: This application, or a library it uses, is using the deprecated Carbon Component Manager for hosting Audio Units. Support for this will be removed in a future release. Also, this makes the host incompatible with version 3 audio units. Please transition to the API's in AudioComponent.h.
[18:44:02] [Thread-6/INFO]: OpenAL initialized.
[18:44:02] [Sound Library Loader/INFO]: Sound engine started
[18:44:04] [Client thread/INFO] [FML]: Max texture size: 16384
[18:44:04] [Client thread/INFO]: Created: 16x16 textures-atlas
[18:44:07] [Client thread/FATAL]: Reported exception thrown!
net.minecraft.util.ReportedException: Rendering screen
at net.minecraft.client.renderer.EntityRenderer.func_181560_a(EntityRenderer.java:1121) ~[bnz.class:?]
at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1076) ~[bcx.class:?]
at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:371) [bcx.class:?]
at net.minecraft.client.main.Main.main(SourceFile:124) [Main.class:?]
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_101]
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_101]
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_101]
at java.lang.reflect.Method.invoke(Method.java:498) ~[?:1.8.0_101]
at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.12.jar:?]
at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
Caused by: java.lang.NoClassDefFoundError: bxl
at net.minecraftforge.fml.common.versioning.Restriction.toStringFriendly(Restriction.java:224) ~[Restriction.class:?]
at net.minecraftforge.fml.common.versioning.VersionRange.toStringFriendly(VersionRange.java:498) ~[VersionRange.class:?]
at net.minecraftforge.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:106) ~[GuiModsMissing.class:?]
at net.minecraftforge.client.ForgeHooksClient.drawScreen(ForgeHooksClient.java:374) ~[ForgeHooksClient.class:?]
at net.minecraft.client.renderer.EntityRenderer.func_181560_a(EntityRenderer.java:1094) ~[bnz.class:?]
... 9 more
[18:44:07] [Client thread/INFO] [STDOUT]: [net.minecraft.init.Bootstrap:func_179870_a:560]: ---- Minecraft Crash Report ----

WARNING: coremods are present:
  CCLCorePlugin (CodeChickenLib-1.10.2-2.2.3.57-universal.jar)
  CCCDeobfPlugin (unknown)
  CodeChickenCorePlugin (CodeChickenCore-1.10.2-2.1.8.79-universal.jar)
  NEICorePlugin (NotEnoughItems-1.10.2-2.1.1.146-universal.jar)
Contact their authors BEFORE contacting forge

// Don't do that.

Time: 27/09/16 18.44
Description: Rendering screen

java.lang.NoClassDefFoundError: bxl
at net.minecraftforge.fml.common.versioning.Restriction.toStringFriendly(Restriction.java:224)
at net.minecraftforge.fml.common.versioning.VersionRange.toStringFriendly(VersionRange.java:498)
at net.minecraftforge.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:106)
at net.minecraftforge.client.ForgeHooksClient.drawScreen(ForgeHooksClient.java:374)
at net.minecraft.client.renderer.EntityRenderer.func_181560_a(EntityRenderer.java:1094)
at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1076)
at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:371)
at net.minecraft.client.main.Main.main(SourceFile:124)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
at net.minecraftforge.fml.common.versioning.Restriction.toStringFriendly(Restriction.java:224)
at net.minecraftforge.fml.common.versioning.VersionRange.toStringFriendly(VersionRange.java:498)
at net.minecraftforge.fml.client.GuiModsMissing.func_73863_a(GuiModsMissing.java:106)
at net.minecraftforge.client.ForgeHooksClient.drawScreen(ForgeHooksClient.java:374)

-- Screen render details --
Details:
Screen name: net.minecraftforge.fml.client.GuiModsMissing
Mouse location: Scaled: (170, 17). Absolute: (340, 445)
Screen size: Scaled: (427, 240). Absolute: (854, 480). Scale factor of 2
Stacktrace:
at net.minecraft.client.renderer.EntityRenderer.func_181560_a(EntityRenderer.java:1094)
at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1076)
at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:371)
at net.minecraft.client.main.Main.main(SourceFile:124)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
Minecraft Version: 1.10.2
Operating System: Mac OS X (x86_64) version 10.11.4
Java Version: 1.8.0_101, Oracle Corporation
Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
Memory: 34695592 bytes (33 MB) / 349982720 bytes (333 MB) up to 2134114304 bytes (2035 MB)
JVM Flags: 5 total; -Xmx2G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
FML: MCP 9.32 Powered by Forge 12.18.1.2011 6 mods loaded, 6 mods active
States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
U mcp{9.19} [Minecraft Coder Pack] (minecraft.jar)
U FML{8.0.99.99} [Forge Mod Loader] (forge-1.10.2-12.18.1.2011.jar)
U Forge{12.18.1.2011} [Minecraft Forge] (forge-1.10.2-12.18.1.2011.jar)
U CodeChickenCore{2.1.8.79} [CodeChicken Core] (minecraft.jar)
U NotEnoughItems{2.1.1.146} [Not Enough Items] (NotEnoughItems-1.10.2-2.1.1.146-universal.jar)
U Chopper{1.0.0} [Chopper] (Chopper (EW) V6D_A2 1.10.2.jar)
Loaded coremods (and transformers):
CCLCorePlugin (CodeChickenLib-1.10.2-2.2.3.57-universal.jar)
  codechicken.lib.asm.ClassHeirachyManager
  codechicken.lib.asm.RenderHookTransformer
CCCDeobfPlugin (unknown)
  
CodeChickenCorePlugin (CodeChickenCore-1.10.2-2.1.8.79-universal.jar)
  codechicken.core.asm.TweakTransformer
  codechicken.core.asm.DelegatedTransformer
  codechicken.core.asm.DefaultImplementationTransformer
NEICorePlugin (NotEnoughItems-1.10.2-2.1.1.146-universal.jar)
  codechicken.nei.asm.NEITransformer
Launched Version: 1.10.2-forge1.10.2-12.18.1.2011
LWJGL: 2.9.2
OpenGL: Intel(R) HD Graphics 6000 GL version 2.1 INTEL-10.14.58, Intel Inc.
GL Caps: Using GL 1.3 multitexturing.
Using GL 1.3 texture combiners.
Using framebuffer objects because ARB_framebuffer_object is supported and separate blending is supported.
Shaders are available because OpenGL 2.1 is supported.
VBOs are available because OpenGL 1.5 is supported.

Using VBOs: Yes
Is Modded: Definitely; Client brand changed to 'fml,forge'
Type: Client (map_client.txt)
Resource Packs:
Current Language: English (US)
Profiler Position: N/A (disabled)
CPU: 4x Intel(R) Core(TM) i5-5250U CPU @ 1.60GHz
[18:44:07] [Client thread/INFO] [STDOUT]: [net.minecraft.init.Bootstrap:func_179870_a:560]: #@!@# Game crashed! Crash report saved to: #@!@# /Users/michela/Library/Application Support/minecraft/crash-reports/crash-2016-09-27_18.44.07-client.txt
AL lib: (EE) alc_cleanup: 1 device not closed
Hmm. Domanda di routine: hai comprato il gioco?
Poi hai provato con altre versioni del core?
La RAM non è il problema, tutto è causato da una apparente incompatibilità tra 2 classi simili: una di MC, l'altra della mod.
"Amo molto parlare di niente, è l'unico argomento di cui so tutto" - Oscar Wilde

NON OFFRO ASSISTENZA PRIVATA. NON SCRIVETEMI PER RISOLVERE UN PROBLEMA. CREATE UNA NUOVA DISCUSSIONE.
27/09/2016, 19:32_gjkf_ ha scritto: Hmm. Domanda di routine: hai comprato il gioco?
Poi hai provato con altre versioni del core?
La RAM non è il problema, tutto è causato da una apparente incompatibilità tra 2 classi simili: una di MC, l'altra della mod.

qua mi cogli impreparato, il computer non è mio ma di un amico, ma sembra di si.
dai log però vedo un "the mod does not have a minecraft version annotation", quindi credo che sia una lacuna della mod, ma potrei sbagliarmi.
in certi siti dove si può scaricare la mod, nei commenti, vedo molte persone che hanno lo stesso problema. può essere un indizio? Unsure
"This mod does not have a version annotation" significa solo che l'autore non ha completato un file di configurazione che noi sviluppatori chiaiamo "mcmod.info". Non comporta alcun problema.
Hai già fatto ricerca, complimenti! Anche io ho notato che il problema ricorre piuttosto di frequente. Credo che questo sia uno dei tipici problem che solo l'autore può risolvere.
Se non usi un account legale potrebbe causare problemi ma la cosa migliore è sperare che l'autore risolva.
"Amo molto parlare di niente, è l'unico argomento di cui so tutto" - Oscar Wilde

NON OFFRO ASSISTENZA PRIVATA. NON SCRIVETEMI PER RISOLVERE UN PROBLEMA. CREATE UNA NUOVA DISCUSSIONE.
Discussioni simili
Discussione: Autore Risposte: Letto: Ultimo
[Risolto] Problema con la simply jetpack TheFallen00 4 61 21/08/2017, 18:01
Ultimo: TheFallen00
[Problema] Problema con Stacksize e Toughasnails Mixon700 1 27 21/08/2017, 17:10
Ultimo: Emah
[Risolto] forge non rileva le mod olimpus26 7 80 20/08/2017, 11:43
Ultimo: _gjkf_
Problema con forge DavidePas 1 37 16/08/2017, 10:57
Ultimo: _gjkf_
[Domanda] Mod Per PvP? Craft_The_Zap 3 63 14/08/2017, 14:28
Ultimo: Emah

Utente(i) che stanno guardando questa discussione: 1 Ospite(i)